diff --git a/src/include/postmaster/fork_process.h b/src/include/postmaster/fork_process.h
index eb3c8ec974..6cf0bfa2fe 100644
--- a/src/include/postmaster/fork_process.h
+++ b/src/include/postmaster/fork_process.h
@@ -12,6 +12,29 @@
 #ifndef FORK_PROCESS_H
 #define FORK_PROCESS_H
 
+typedef enum
+{
+	CheckerProcess = 0,
+	BootstrapProcess,
+	StartupProcess,
+	BgWriterProcess,
+	CheckpointerProcess,
+	WalWriterProcess,
+	WalReceiverProcess,
+	AutoVacuumLauncherProcess,
+	AutoVacuumWorkerProcess,
+	SysloggerProcess,
+	BgWorkerProcess
+
+	NUMFORKPROCTYPES			/* Must be last! */
+} ForkProcType;
+
+typedef struct ForkProcData
+{
+	ForkProcType	type;
+	char		   *fork_av[10];
+} ForkProcData
+
 extern pid_t fork_process(void);
 
 #endif							/* FORK_PROCESS_H */
